Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.jmx.adaptor
Class MBeanAttributeInfoSer

    java.lang.Object
      org.jboss.net.jmx.adaptor.MBeanAttributeInfoSer

All Implemented Interfaces:
  Serializable, org.apache.axis.encoding.Serializer, javax.xml.rpc.encoding.Serializer

public class MBeanAttributeInfoSer
extends Object
implements org.apache.axis.encoding.Serializer

An `MBeanAttributeInfoSer` is be used to serialize MBeanAttributeInfo using the `SOAP-ENC` encoding style.

Version:
  $Revision: 1.4 $
Author:
  Alireza Taherkordi
See Also:
  Serialized Form

Constructor Summary
`MBeanAttributeInfoSer()`

Method Summary
`String` | `getMechanismType()`
`void` | `serialize(javax.xml.namespace.QName name, Attributes attributes, Object value, org.apache.axis.encoding.SerializationContext context)`
`Element` | `writeSchema(Class aClass, org.apache.axis.wsdl.fromJava.Types types)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanAttributeInfoSer

    public MBeanAttributeInfoSer()

Method Detail

### serialize

    public void serialize(javax.xml.namespace.QName name,
                          Attributes attributes,
                          Object value,
                          org.apache.axis.encoding.SerializationContext context)
                   throws IOException

  Specified by:
    `serialize` in interface `org.apache.axis.encoding.Serializer`
  Throws:
    `IOException`

### writeSchema

    public Element writeSchema(Class aClass,
                               org.apache.axis.wsdl.fromJava.Types types)
                        throws Exception

  Specified by:
    `writeSchema` in interface `org.apache.axis.encoding.Serializer`
  Throws:
    `Exception`

### getMechanismType

    public String getMechanismType()

  Specified by:
    `getMechanismType` in interface `javax.xml.rpc.encoding.Serializer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.